﻿/*************************************\
 *       Erstellen von Threads       *
 *                                   *
 * Kapitel: Multithreading           *
 * Zuordnung: C#-Buch V2.0 8.2       *
 *                                   *
 *  Copyright 2015 by Benjamin Jung  *
\*************************************/
using System;
using System.Threading;

namespace CSV20.Mehrere_Threads
{
    class Program
    {
        static void Main(string[] args)
        {
            Thread oThreadGroßbuchstaben = new Thread(new ThreadStart(ThreadGroßbuchstaben));
            Thread oThreadKleinbuchstaben = new Thread(new ThreadStart(ThreadKleinbuchstaben));

            oThreadGroßbuchstaben.Start();
            oThreadKleinbuchstaben.Start();

            for (int i = 0; i < 5; i++)
            {
                Console.WriteLine(i + 1);
                // Beim 3. Durchlauf Klein-Buchstaben-Thread abbrechen
                if (i == 2)
                    oThreadKleinbuchstaben.Abort();
                Thread.Sleep(250);
            }

            Console.ReadKey();
        }

        private static void ThreadGroßbuchstaben()
        {
            for (int i = 0; i < 5; i++)
            {
                Console.WriteLine((char)('A' + i));
                Thread.Sleep(250);
            }
        }

        private static void ThreadKleinbuchstaben()
        {
            for (int i = 0; i < 5; i++)
            {
                Console.WriteLine((char)('a' + i));
                Thread.Sleep(250);
            }
        }
    }
}